//$Id: main.cpp,v 1.2 2003/12/03 01:35:55 magh Exp $

/* ------------------------------------------------------------------------
 Author: Matthew Galati (magh@lehigh.edu)

 (c) Copyright 2003 Lehigh University. All Rights Reserved.

 This software is licensed under the Common Public License. Please see 
 accompanying file for terms.    
---------------------------------------------------------------------------*/

/*-------------------------------------------------------------------------*/
#include "ufl.hpp"
#include<string>
using namespace std;

/*-------------------------------------------------------------------------*/
int main(int argc, char* argv[]){

  if(argc < 2){
    cerr << "usage: ufl datafile" << endl;
    abort();
  }

#if 0
  //solve using branch and bound
  try{
    ufl.solve_model();
  }
#endif
  
  //simulate the root node of a branch and cut tree 
  try{
    UFL ufl(argv[1]);
    ufl.create_model();
    ufl.simulate_root();
  }
  catch(CoinError & ex){
    cerr << "Exception:" << ex.message() << endl 
	 << " from method " << ex.methodName() << endl
	 << " from class " << ex.className() << endl; 
  };

  return 0;
}
